felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marcel Offermans <marcel.offerm...@luminis.nl>
Subject Re: Need > JDK 5 profile in pom
Date Mon, 02 Jul 2007 19:25:57 GMT
On Jul 2, 2007, at 20:20 , Richard S. Hall wrote:

> stephane frenot wrote:
>> I will have a look at this tomorrow,
>> I think MOSGi should compile with jdk 1.4
> It never has...java.management is not in JDK 1.4...right?

For 1.4 you could compile against MX4J. That would mean adding  
something like a "conditional dependency". We might even be able to  
compile against only the JMX specifications (if Sun ever released  
such a JAR file, and if it's licensed in some sensible way).

Since we're discussing the topic, we might want to define more  
strictly what "execution environments" we support with our bundles  
(as far as I'm concerned a bundle author could choose that for  
himself, or in this case we could provide artifacts for both 1.4 and  
1.5+ (including or excluding something like MX4J).

Greetings, Marcel

View raw message